Уязвимость BDU:2019-04349

Дата: 06.09.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2019-04349.

Наименование уязвимости: Уязвимость функций ReadDCMImage (coders/dcm.c) и ReadPICTImage (coders/pict.c) консольного графического редактора ImageMagick, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость функций ReadDCMImage (coders/dcm.c) и ReadPICTImage (coders/pict.c) консольного графического редактора ImageMagick существует из-за недостаточной проверки входных данных. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, вызвать отказ в обслуживании с помощью специально созданного файла
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 14.04 LTS | Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Novell Inc. OpenSUSE Leap 42.3 | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.10 | Операционная система ООО «РусБИТех-Астра» Astra Linux 1.6 «Смоленск» | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Canonical Ltd. Ubuntu 19.04 | Прикладное ПО информационных систем ImageMagick Studio LLC ImageMagick 7.0.8-11 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1404 LTS | Ubuntu 1604 LTS | OpenSUSE Leap 423 | Ubuntu 1804 LTS | Ubuntu 1810 | Astra Linux 16 «Смоленск» | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Ubuntu 1904 |
Дата выявления: 06.09.2018.
CVSS 2.0: AV:N/AC:L/Au:N/C:N/I:N/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,8)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 6,5)

Возможные меры по устранению:
Использование рекомендаций:
Для Astra Linux:
https://wiki.astralinux.ru/pages/viewpage.action?pageId=44892734

Для ImageMagick:
https://github.com/ImageMagick/ImageMagick/commit/16916c8979c32765c542e216b31cee2671b7afe7
https://github.com/ImageMagick/ImageMagick/commit/afa878a689870c28b6994ecf3bb8dbfb2b76d135
https://github.com/ImageMagick/ImageMagick/issues/1269

Для Debian GNU/Linux:
https://lists.debian.org/debian-lts-announce/2018/10/msg00002.html
https://www.debian.org/security/2018/dsa-4316

Для Ubuntu:
https://usn.ubuntu.com/3785-1/
https://usn.ubuntu.com/4034-1/

Для программных продуктов Novell Inc.:
https://lists.opensuse.org/opensuse-security-announce/2019-05/msg00006.html
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-16644.

Тип ошибки CWE: CWE-20
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://wiki.astralinux.ru/pages/viewpage.action?pageId=44892734
https://github.com/ImageMagick/ImageMagick/commit/16916c8979c32765c542e216b31cee2671b7afe7
https://github.com/ImageMagick/ImageMagick/commit/afa878a689870c28b6994ecf3bb8dbfb2b76d135
https://github.com/ImageMagick/ImageMagick/issues/1269
https://lists.debian.org/debian-lts-announce/2018/10/msg00002.html
https://www.debian.org/security/2018/dsa-4316
https://usn.ubuntu.com/3785-1/
https://usn.ubuntu.com/4034-1/
https://lists.opensuse.org/opensuse-security-announce/2019-05/msg00006.html
https://nvd.nist.gov/vuln/detail/CVE-2018-16644

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *